# Method: projects.locations.instances.dnsPeerings.create

- [HTTP request](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.request_body)
- [Response body](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings/create#try-it)

Creates DNS peering on the given resource.

### HTTP request

`POST https://datafusion.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/dnsPeerings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource on which DNS peering will be created. |

### Query parameters

| Parameters ||
|---|---|
| `dnsPeeringId` | `string` Required. The name of the peering to create. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings#DnsPeering`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1/projects.locations.instances.dnsPeerings#DnsPeering`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).